import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:petitbac/utils/color_extensions.dart';
import 'package:petitbac/utils/game_utils.dart';
import 'package:petitbac/provider/data.dart';

class PickedCategory extends StatelessWidget {
  const PickedCategory({
    super.key,
    required this.backgroundColor,
    required this.borderWidth,
  });

  final Color backgroundColor;
  final double borderWidth;

  @override
  Widget build(BuildContext context) {
    final Data myProvider = Provider.of<Data>(context);

    final Color borderColor = backgroundColor.darken();

    return Column(
      mainAxisSize: MainAxisSize.min,
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        Container(
          margin: EdgeInsets.all(borderWidth),
          padding: EdgeInsets.all(borderWidth),
          decoration: BoxDecoration(
            color: backgroundColor,
            borderRadius: BorderRadius.circular(borderWidth),
            border: Border.all(
              color: borderColor,
              width: borderWidth,
            ),
          ),
          child: TextButton(
            onPressed: () => GameUtils.pickCategory(myProvider),
            child: Text(
              myProvider.category == '' ? "🔀" : myProvider.category,
              textAlign: TextAlign.center,
              style: const TextStyle(
                fontSize: 30,
                fontWeight: FontWeight.w600,
                color: Colors.black,
              ),
            ),
          ),
        ),
      ],
    );
  }
}
