import 'package:flutter/material.dart';

import 'package:petitbac/utils/color_extensions.dart';

class PreviousLetter extends StatelessWidget {
  const PreviousLetter({
    super.key,
    required this.letter,
    required this.position,
    required this.displayed,
  });

  final String letter;
  final int position;
  final bool displayed;

  @override
  Widget build(BuildContext context) {
    const double spacingWidth = 2;
    const double borderWidth = 3;
    Color backgroundColor = Colors.grey;
    Color borderColor = backgroundColor.darken();
    Color fontColor = Colors.black;

    if (letter == '' || displayed == false) {
      backgroundColor = Theme.of(context).colorScheme.background;
      borderColor = Theme.of(context).colorScheme.background;
      fontColor = Theme.of(context).colorScheme.background;
    }

    return Container(
      margin: const EdgeInsets.all(spacingWidth),
      padding: const EdgeInsets.all(spacingWidth),
      decoration: BoxDecoration(
        color: backgroundColor,
        borderRadius: BorderRadius.circular(borderWidth),
        border: Border.all(
          color: borderColor,
          width: borderWidth,
        ),
      ),
      child: Text(
        ' $letter ',
        style: TextStyle(
          fontSize: 35.0 - (7 * position),
          fontWeight: FontWeight.w600,
          color: fontColor,
        ),
      ),
    );
  }
}
