import 'package:petitbac/provider/data.dart';
import 'package:petitbac/utils/random_pick_category.dart';
import 'package:petitbac/utils/random_pick_letter.dart';

class GameUtils {
  static Future<void> pickLetter(Data myProvider) async {
    myProvider.setSearchingLetter(true);
    RandomPickLetter randomPickLetter;
    int attempts = 0;
    do {
      randomPickLetter = RandomPickLetter();
      await randomPickLetter.init();
      if (!myProvider.isLetterRecentlyPicked(randomPickLetter.letter)) {
        myProvider.updateLetter(randomPickLetter.letter);
        myProvider.setSearchingLetter(false);
        break;
      }
      attempts++;
    } while (attempts < 10);
  }

  static Future<void> pickCategory(Data myProvider) async {
    myProvider.setSearchingCategory(true);
    RandomPickCategory randomPickCategory;
    int attempts = 0;
    do {
      randomPickCategory = RandomPickCategory();
      await randomPickCategory.init();
      if (!myProvider.isCategoryRecentlyPicked(randomPickCategory.category)) {
        myProvider.updateCategory(randomPickCategory.category);
        myProvider.setSearchingCategory(false);
        break;
      }
      attempts++;
    } while (attempts < 10);
  }
}
