import 'dart:async';
import 'dart:convert';
import 'dart:math' show Random;

import 'package:flutter/services.dart';

class RandomPickCategory {
  RandomPickCategory();

  String? _category;
  final random = Random();

  init() async {
    await categoryFromLocalFile();
  }

  Future<void> categoryFromLocalFile() async {
    String jsonString;
    try {
      jsonString = await rootBundle.loadString('assets/files/categories-fr.json');
      final jsonResponse = await json.decode(jsonString);
      var categoryList = jsonResponse[jsonResponse.keys.toList().join()];
      _category = categoryList[random.nextInt(categoryList.length)];
    } catch (e) {
      _category = 'UNEXPECTED ERROR';
    }
  }

  String get category => (_category != null) ? _category.toString() : '';
}
